cURL
curl --request POST \
--url https://aigw.portkey.ai/v1/threads/{thread_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool_resources": {
"code_interpreter": {
"file_ids": []
},
"file_search": {
"vector_store_ids": [
"<string>"
]
}
},
"metadata": {}
}
'import requests
url = "https://aigw.portkey.ai/v1/threads/{thread_id}"
payload = {
"tool_resources": {
"code_interpreter": { "file_ids": [] },
"file_search": { "vector_store_ids": ["<string>"] }
},
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool_resources: {
code_interpreter: {file_ids: []},
file_search: {vector_store_ids: ['<string>']}
},
metadata: {}
})
};
fetch('https://aigw.portkey.ai/v1/threads/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "thread",
"created_at": 123,
"tool_resources": {
"code_interpreter": {
"file_ids": []
},
"file_search": {
"vector_store_ids": [
"<string>"
]
}
},
"metadata": {}
}Modify thread
POST
/
threads
/
{thread_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Last modified on September 18, 2026
Was this page helpful?

